"use strict";

this.name    = "AI Trading Legality";
this.version = "1.1";

/* ====================================================================================
			ADD NEW DISPLAY MODE
======================================================================================= */

    this.startUp = function () {
        "use strict";
        var ws = worldScripts["AI Trading Assistant"];
        if (ws && ws._addDisplayMode) {
            this.$myModeNumber = ws._addDisplayMode(["export status", "AI Trading Legality", "_legalStatusDisplay", "AI Trading Legality", "_setExportHUD"]);
            if (ws._resetDisplayMode) {
                ws._resetDisplayMode(this.$myModeNumber);
            }
        }
        delete this.startUp;
    }

/* ====================================================================================
			DISPLAY BLANK COLUMN WITH LEGAL STATUS REMINDERS
======================================================================================= */

    this._legalStatusDisplay = function () {
        "use strict";
        var message = " ";
        var market = player.ship.dockedStation.market;
        var arrayLength = worldScripts["AI Trading Assistant"].$commodities.length;
        for (var i = 0; i < arrayLength; i++) {
            if (market[worldScripts["AI Trading Assistant"].$commodities[i]].legalPenalty == 0) {
                message = message + "\n";
            } else {
                message = message + "\nIllegal";
            }
        }
        return message;
    }

    this._setExportHUD = function (highlight) {
        "use strict";
        if (guiScreen === "GUI_SCREEN_MARKET") {
            player.ship.hud = "trading-assistant-export-hud.plist";
        }
    }

/* ====================================================================================
			COPYRIGHT NOTICE

	(C)2013, Wildeblood. All rights reserved. 
	Free to use, but DO NOT PROMULGATE MODIFIED VERSIONS.

This was created by some fellow with the user name "Wildeblood" on the Oolite forums, 
he'll tell you his real name if you bother to ask.
To use means to play with, modify or re-use in whole or in part, and to distribute freely.
To use DOES NOT imply to use for commercial gain, which would be a breach of copyright.
To promulgate means to make official announcements.
======================================================================================= */
